/servers
Create a new MCP server. Requires slug and transportConfig. All other fields are optional with sensible defaults. Read-only fields are silently ignored
In: header
Request Body
application/json
URL-friendly name of the server, unique within the tenant
^[a-z0-9][-a-z0-9]*$length <= 20Transport configuration used to connect to the server
Transport type to create with a default configuration, used instead of transportConfig
"httpstreaming" | "sse" | "stdio" | "hosted" | "openapi" | "email"Human-readable description of the server
Authorization configuration for the server
Discovered OAuth metadata, or null when not discovered
OAuth client configuration, or null when not configured
Whether the server is enabled
Timeout in seconds for a single protocol request to the server
0 < value <= 9007199254740991Total timeout in seconds for a tool call, including progress notifications
0 < value <= 9007199254740991Whether a progress notification resets the protocol timeout
Whether large tool outputs are compressed before they are returned to the client
Whether the compression transform step is applied to tool outputs
Minimum output size in bytes before compression is applied
1024 <= value <= 9007199254740991Rules in order. Rules with a condition run before the call and the first deny stops it. A rule with a protection replaces the default of that protection for its tools
Built-in protections that scan tool calls and results. Replaces all protections on update
Who can see the server: only members or the whole organization
"private" | "organization"Read-only; input is ignored
Read-only; input is ignored
Read-only; input is ignored
Read-only; input is ignored
Read-only; input is ignored
Read-only; input is ignored
Read-only; input is ignored
Response Body
application/json
curl -X POST "https://YOUR_ORG_ID.s.gatana.ai/api/v2/servers" \ -H "Content-Type: application/json" \ -d '{ "slug": "string" }'{
"id": "string",
"slug": "string",
"tenantId": "string",
"description": "string",
"authorization": {
"method": "none",
"credentialsScope": "server",
"apikeys": [
"string"
],
"toolRefreshCredentialPolicy": "server-scoped"
},
"transportConfig": {
"type": "httpstreaming",
"url": "string",
"headers": [
[
"string",
"string"
]
]
},
"oauthClientConfiguration": {},
"oauthMetadata": {},
"visibility": "private",
"isEnabled": true,
"lastToolRefreshAt": "string",
"mcpProtocolVersion": "string",
"mcpProtocolDetectedAt": "string",
"timeoutProtocol": 1,
"timeoutTotal": 1,
"resetTimeoutOnProgressNotification": true,
"isOutputCompressionEnabled": true,
"isOutputCompressionTransformEnabled": true,
"outputCompressionThresholdBytes": 1024,
"firewallRules": [
{
"tools": [],
"condition": "",
"check": {
"type": "secrets",
"target": "arguments"
},
"action": "deny"
}
],
"protections": {
"secrets": {
"mode": "off",
"actions": {
"arguments": "off",
"result": "off"
},
"settings": {}
},
"pii": {
"mode": "off",
"actions": {
"arguments": "off",
"result": "off"
},
"settings": {}
},
"injection": {
"mode": "off",
"actions": {
"arguments": "off",
"result": "off"
},
"settings": {}
}
},
"createdAt": "string",
"updatedAt": "string",
"resolvedProtections": {
"secrets": {
"actions": {
"arguments": {
"action": "off",
"source": "server",
"inherited": "off"
},
"result": {
"action": "off",
"source": "server",
"inherited": "off"
}
},
"settings": {
"property1": {
"value": null,
"source": "server",
"inherited": null
},
"property2": {
"value": null,
"source": "server",
"inherited": null
}
}
},
"pii": {
"actions": {
"arguments": {
"action": "off",
"source": "server",
"inherited": "off"
},
"result": {
"action": "off",
"source": "server",
"inherited": "off"
}
},
"settings": {
"property1": {
"value": null,
"source": "server",
"inherited": null
},
"property2": {
"value": null,
"source": "server",
"inherited": null
}
}
},
"injection": {
"actions": {
"arguments": {
"action": "off",
"source": "server",
"inherited": "off"
},
"result": {
"action": "off",
"source": "server",
"inherited": "off"
}
},
"settings": {
"property1": {
"value": null,
"source": "server",
"inherited": null
},
"property2": {
"value": null,
"source": "server",
"inherited": null
}
}
}
}
}Last updated on